CLIENT := ../tezos-sandbox-network/tezos/tezos-client
CLIENT_CONFIG := -E http://127.0.0.1:20000
SIGNER := alice
SIGNER_KEY := tz1VSUr8wwNhLAzempoch5d6hLRiTh8Cjcjb
SMARTPY := ~/smartpy-cli/SmartPy.sh

compile:
	$(SMARTPY) compile kyc_contract.py output

test:
	$(SMARTPY) test kyc_contract.py output

clean:
	rm -rf output

originate: compile
	$(CLIENT) $(CLIENT_CONFIG) originate contract kyc_contract transferring 0 \
		from $(SIGNER) running output/kyc_contract/step_000_cont_0_contract.tz \
		--init '(Pair {} {"$(SIGNER_KEY)"})' --burn-cap 5 --force
